<?php

namespace AuthStack\Driver\AUDGeneric\Controllers;

use Exception;
use AuthStack\Driver\AUDGeneric\Driver;
use AuthStack\Http\Controllers\Controller;
use AuthStack\Driver\AUDGeneric\Requests\Import;

class AUD extends Controller
{
    /**
     * @param Import $request
     * @throws Exception
     */
    public function import(Import $request){

        $driver = new Driver();
        $account = $driver->authenticate($request->getFormParams());

        \Log::info('AUD::Import::Account', [$account]);
    }
}